Notes on Installing PostgreSQL on All Platforms

Documentation

Notes on Installing PostgreSQL on All Platforms

If you are using PostgreSQL, you will need to increase the join collapse limit. Edit postgresql.conf and change the following line:

# join_collapse_limit = 8

to

join_collapse_limit = 10

If you do not do this step, you may see the following error when running complex queries:

org.postgresql.util.PSQLException: ERROR: failed to build any 8-way joins

Discussion

previousnext
 
expand all collapse all